# Method: projects.locations.addressGroups.get

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/get#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/get#body.aspect)

Gets details of a single address group.

### HTTP request

`GET https://networksecurity.googleapis.com/v1beta1/{name=projects/*/locations/*/addressGroups/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. A name of the AddressGroup to get. Must be in the format `projects/*/locations/{location}/addressGroups/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networksecurity.addressGroups.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups#AddressGroup`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).